Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Xorg] clavier et souris [resolu]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Sat May 15, 2010 4:43 pm    Post subject: [Xorg] clavier et souris [resolu] Reply with quote

Bonjour,

Suite a une mise à jour, je n'ai plus accés ni au clavier ni a la souris sous xorg.

En mode console pas de soucis.

Mais:

Code:

# cat /var/log/Xorg.0.log
<snip>
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input/mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
   compiled for 1.6.5, module version = 1.5.0
   Module class: X.Org XInput Driver
   ABI class: X.Org XInput driver, version 4.0
(EE) module ABI major version (4) doesn't match the server's version (7)
(II) UnloadModule: "mouse"
(II) Unloading /usr/lib/xorg/modules/input/mouse_drv.so
(EE) Failed to load module "mouse" (module requirement mismatch, 0)
(EE) No input driver matching `mouse'
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input/kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
   compiled for 1.6.5, module version = 1.4.0
   Module class: X.Org XInput Driver
   ABI class: X.Org XInput driver, version 4.0
(EE) module ABI major version (4) doesn't match the server's version (7)
(II) UnloadModule: "kbd"
(II) Unloading /usr/lib/xorg/modules/input/kbd_drv.so
(EE) Failed to load module "kbd" (module requirement mismatch, 0)
(EE) No input driver matching `kbd'



pourtant:

Code:

# equery u xorg-drivers
[ Searching for packages matching xorg-drivers... ]
[ Colour Code : set unset ]
[ Legend : Left column  (U) - USE flags from make.conf              ]
[        : Right column (I) - USE flags packages was installed with ]
[ Found these USE variables for x11-base/xorg-drivers-1.7 ]
 U I
 - - input_devices_acecad      : INPUT_DEVICES setting to build driver for acecad input devices
 - - input_devices_aiptek      : INPUT_DEVICES setting to build driver for aiptek input devices
 - - input_devices_evdev       : INPUT_DEVICES setting to build driver for evdev input devices
 - - input_devices_joystick    : INPUT_DEVICES setting to build driver for joystick input devices
 + + input_devices_keyboard    : INPUT_DEVICES setting to build driver for keyboard input devices
 + + input_devices_mouse       : INPUT_DEVICES setting to build driver for mouse input devices
 - - input_devices_penmount    : INPUT_DEVICES setting to build driver for penmount input devices
 - - input_devices_synaptics   : INPUT_DEVICES setting to build driver for synaptics input devices
 - - input_devices_tslib       : INPUT_DEVICES setting to build driver for tslib input devices
 - - input_devices_virtualbox  : INPUT_DEVICES setting to build driver for virtualbox input emulation
 - - input_devices_vmmouse     : INPUT_DEVICES setting to build driver for vmmouse input devices
 - - input_devices_void        : INPUT_DEVICES setting to build driver for void/dummy input devices
 - - input_devices_wacom       : INPUT_DEVICES setting to build driver for wacom input devices
 - - video_cards_apm           : VIDEO_CARDS setting to build driver for apm video cards
 - - video_cards_ark           : VIDEO_CARDS setting to build driver for ark video cards
 - - video_cards_ast           : VIDEO_CARDS setting to build driver for ASpeedTech video cards
 - - video_cards_chips         : VIDEO_CARDS setting to build driver for chips video cards
 - - video_cards_cirrus        : VIDEO_CARDS setting to build driver for cirrus video cards
 - - video_cards_dummy         : VIDEO_CARDS setting to build driver for dummy video cards
 - - video_cards_epson         : VIDEO_CARDS setting to build driver for epson video cards
 + + video_cards_fbdev         : VIDEO_CARDS setting to build driver for fbdev video cards
 - - video_cards_fglrx         : VIDEO_CARDS setting to build driver for fglrx video cards
 - - video_cards_geode         : VIDEO_CARDS setting to build driver for AMD Geode GX and LX video cards
 - - video_cards_glint         : VIDEO_CARDS setting to build driver for glint video cards
 - - video_cards_i128          : VIDEO_CARDS setting to build driver for Number 9 I128 video cards
 - - video_cards_i740          : VIDEO_CARDS setting to build driver for Intel i740 video cards
 - - video_cards_impact        : VIDEO_CARDS setting to build driver for impact video cards
 - - video_cards_intel         : VIDEO_CARDS setting to build driver for Intel video cards
 - - video_cards_mach64        : VIDEO_CARDS setting to build driver for mach64 video cards
 - - video_cards_mga           : VIDEO_CARDS setting to build driver for mga video cards
 - - video_cards_neomagic      : VIDEO_CARDS setting to build driver for neomagic video cards
 - - video_cards_newport       : VIDEO_CARDS setting to build driver for newport video cards
 - - video_cards_nv            : VIDEO_CARDS setting to build driver for nv video cards
 - - video_cards_nvidia        : VIDEO_CARDS setting to build driver for nvidia video cards
 - - video_cards_r128          : VIDEO_CARDS setting to build driver for ATI r128 video cards
 - - video_cards_radeon        : VIDEO_CARDS setting to build driver for ATI radeon video cards
 - - video_cards_radeonhd      : VIDEO_CARDS setting to build driver for ATI radeon HD video cards (radeon also works)
 - - video_cards_rendition     : VIDEO_CARDS setting to build driver for rendition video cards
 - - video_cards_s3            : VIDEO_CARDS setting to build driver for s3 video cards
 - - video_cards_s3virge       : VIDEO_CARDS setting to build driver for s3virge video cards
 + + video_cards_savage        : VIDEO_CARDS setting to build driver for savage video cards
 - - video_cards_siliconmotion : VIDEO_CARDS setting to build driver for siliconmotion video cards
 - - video_cards_sis           : VIDEO_CARDS setting to build driver for SiS video cards
 - - video_cards_sisusb        : VIDEO_CARDS setting to build driver for SiS USB video cards
 - - video_cards_sunbw2        : VIDEO_CARDS setting to build driver for sunbw2 video cards
 - - video_cards_suncg14       : VIDEO_CARDS setting to build driver for suncg14 video cards
 - - video_cards_suncg3        : VIDEO_CARDS setting to build driver for suncg3 video cards
 - - video_cards_suncg6        : VIDEO_CARDS setting to build driver for suncg6 video cards
 - - video_cards_sunffb        : VIDEO_CARDS setting to build driver for sunffb video cards
 - - video_cards_sunleo        : VIDEO_CARDS setting to build driver for sunleo video cards
 - - video_cards_suntcx        : VIDEO_CARDS setting to build driver for suntcx video cards
 - - video_cards_tdfx          : VIDEO_CARDS setting to build driver for tdfx video cards
 - - video_cards_tga           : VIDEO_CARDS setting to build driver for tga video cards
 - - video_cards_trident       : VIDEO_CARDS setting to build driver for trident video cards
 - - video_cards_tseng         : VIDEO_CARDS setting to build driver for tseng video cards
 - - video_cards_v4l           : VIDEO_CARDS setting to build driver for v4l video cards
 + + video_cards_vesa          : VIDEO_CARDS setting to build driver for vesa video cards
 - - video_cards_via           : VIDEO_CARDS setting to build driver for via video cards
 - - video_cards_virtualbox    : VIDEO_CARDS setting to build driver for virtualbox emulation
 - - video_cards_vmware        : VIDEO_CARDS setting to build driver for vmware video cards
 - - video_cards_voodoo        : VIDEO_CARDS setting to build driver for voodoo video cards
 - - video_cards_xgi           : VIDEO_CARDS setting to build driver for xgi video cards



J'ai donc bien compilé le drivers pour le clavier et la souris.

Ce qui confirme mon make.conf:

Code:

VIDEO_CARDS="savage vesa fbdev"
INPUT_DEVICES="keyboard mouse"



Alors que faire???

Une idée???

Merci d'avance


Last edited by zuthos on Sun May 16, 2010 4:15 pm; edited 2 times in total
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Sat May 15, 2010 4:48 pm    Post subject: Reply with quote

ajouter evdev aux INPUT_DEVICES
refaire la mise à jour
vérifier les policy de hal
Back to top
View user's profile Send private message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Sat May 15, 2010 4:59 pm    Post subject: Reply with quote

J'ai recompilé avec l'option evdev
Mais, cela ne change rien

voici pour hal

Code:

# equery u hal   
[ Searching for packages matching hal... ]
[ Colour Code : set unset ]
[ Legend : Left column  (U) - USE flags from make.conf              ]
[        : Right column (I) - USE flags packages was installed with ]
[ Found these USE variables for sys-apps/hal-0.5.13-r2 ]
 U I
 + + X              : Adds support for X11
 - - acpi           : Adds support for Advanced Configuration and Power Interface
 - - apm            : Adds APM (Advanced Power Management) support
 - - consolekit     : Enables HAL to interact with consolekit for determining whether a given process is running on behalf of the person setting at the console.
 + + crypt          : Add support for encryption -- using mcrypt or gpg where applicable
 - - debug          : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see http://www.gentoo.org/proj/en/qa/backtraces.xml
 - - dell           : Builds and installs the Dell addon, which reads data from the Dell SM BIOS via sys-libs/libsmbios. It will read your service tag information and your hardware backlight data as well as allow you to modify the backlight settings on a Dell laptop.
 - - disk-partition : Allows HAL to use libparted from sys-apps/parted to read raw partition data from your disks and process that data. Future versions of HAL (possibly 0.5.11 and higher) will allow you to create, modify, delete and format partitions from a GUI interface agnostic of your desktop environment.
 + + doc            : Adds extra documentation (API, Javadoc, etc)
 - - kernel_FreeBSD : KERNEL setting for system using the FreeBSD kernel
 + + kernel_linux   : KERNEL setting for system using the Linux kernel
 - - laptop         : Adds support for power management scripts (sys-power/pm-utils)
 - - policykit      : Use sys-auth/policykit to gain privileges
 - - selinux        : !!internal use only!! Security Enhanced Linux support, this must be set by the selinux profile or breakage will occur

Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Sat May 15, 2010 5:01 pm    Post subject: Reply with quote

je ne parles pas des USE flags de hal, mais les policy (/etc/hal/fdi)

Avec une petite recherche sur le forum, tu vas trouver des dizaines de posts sur le sujets
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7894
Location: ~Brussels - Belgique

PostPosted: Sat May 15, 2010 8:04 pm    Post subject: Reply with quote

Si Xorg est passé à la version 1.8, hal est jeté à la poubelle. Cherche dans le forum, on en a parlé il y a 2-3 jours.
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sat May 15, 2010 11:56 pm    Post subject: Reply with quote

Voici un guide pour Xorg-1.8 si tu en as de besoin : http://gentoo-quebec.org/wiki/index.php/Xorg_server_1.8
Back to top
View user's profile Send private message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Sun May 16, 2010 3:34 pm    Post subject: Reply with quote

Code:
# eix xorg-server
[I] x11-base/xorg-server
     Available versions:  1.6.5-r1 1.7.6 ~1.7.7 ~1.8.0 {debug dmx doc hal ipv6 kdrive minimal nptl sdl static-libs tslib +udev xorg}
     Installed versions:  1.7.6(08:00:02 16/05/2010)(hal ipv6 nptl xorg -debug -dmx -kdrive -minimal -sdl -tslib)


Comme on peut le voir ici, je ne suis pas en 1.8.
Donc, je ne pense pas que le probléme vienne de la.
Non?
Back to top
View user's profile Send private message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Sun May 16, 2010 3:48 pm    Post subject: Reply with quote

Poussin wrote:
je ne parles pas des USE flags de hal, mais les policy (/etc/hal/fdi)

Avec une petite recherche sur le forum, tu vas trouver des dizaines de posts sur le sujets

Effectivement, je n'ai rien dans le répertoire.

Je continu donc mes recherches dans se sens.

Merci

Effectivement, le probléme venait de la.

J'avais oublié de démarrer hal. :oops:

Merci à vous tous
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Thu May 20, 2010 12:34 am    Post subject: Reply with quote

Ouais, c'est pas grave, ça arrive à tout le monde ce genre de code 18 :P
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum